Index: branch/lebanitou/Emb_App.tws
===================================================================
--- branch/lebanitou/Emb_App.tws	(revision 422)
+++ branch/lebanitou/Emb_App.tws	(revision 423)
@@ -7,6 +7,7 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
+"E:\tp_info6_lebanitou\bsp\lcd.c" 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 
 "E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
@@ -15,6 +16,7 @@
 "E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 100 100 1430 351 0 2 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 75 75 1430 351 0 1 
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
+"E:\tp_info6_lebanitou\bsp\lcd.c" 100 100 1430 351 0 4 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 125 125 1430 351 0 3 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.ini	(revision 422)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.ini	(revision 423)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0026
+RESET=ff0130
Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 422)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 423)
@@ -141,20 +141,20 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000258" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000001" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF001E" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000700" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF2DBE" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000001988" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000BDA" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -169,12 +169,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "00000000000019C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "000000000000198E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -209,7 +209,11 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "valeur, 1, 0, P, Col, Hex, MN" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "2" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "pos, 1, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "valeur1, 1, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "4" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -278,7 +282,7 @@
 [CONFIG_INFO_VD4]
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
-"Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"Help" "TOOLBAR 0" 59419 2 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.07" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
@@ -290,36 +294,32 @@
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
-"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000005_SEARCH}" "TOOLBAR 0" 59419 0 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000007_DEBUG}" "TOOLBAR 0" 59419 2 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000008_DEBUGRUN}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
-"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000011_CPU}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59419 2 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000014_CODE}" "TOOLBAR 0" 59419 2 7 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000016_GRAPHIC}" "TOOLBAR 0" 59419 2 8 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 9 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000011_CPU}" "TOOLBAR 0" 59419 2 7 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59419 2 8 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000014_CODE}" "TOOLBAR 0" 59419 2 9 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000016_GRAPHIC}" "TOOLBAR 0" 59419 2 10 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 11 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000025_HELPSYSTEMTOOL}" "TOOLBAR 0" 59419 0 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
-"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 [WINDOW_POSITION_STATE_DATA_VD2]
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_lebanitou\bsp\lcd.c" 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
-"E:\tp_info6_lebanitou\bsp\periph.c" 
 "E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
-"E:\tp_info6_lebanitou\Emb_App\Debug\mrtable.a30" 
 "E:\tp_info6_lebanitou\bsp\uart0.c" 
-"E:\tp_info6_lebanitou\bsp\clavier.c" 
-"E:\tp_info6_lebanitou\bsp\can.c" 
-"E:\tp_info6_lebanitou\bsp\lcd.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -366,5 +366,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 94885464 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 90621984 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/lebanitou/Emb_App/programme_principal_etud.c
===================================================================
--- branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 422)
+++ branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 423)
@@ -125,129 +125,138 @@
 int pos_tourelle;             //position de la tourelle
 int vitesse;
 int pos;
-int dmax=1000;
-int centre=450;
-UINT flag;
+
 CanFrame comm;
-int consigne=584;                 // valeur de la consigne
+int consigne=450;                 // valeur de la consigne
 int k=1; 
 int k_a=1;                         // gain
-int angle=0;
-int valeur=0;
-int valeur1=0;
-short dist;
+int angle;
+int valeur;
+int valeur1;
+short dist,error;
+int pos=0;
+int mur=700;
+int take;
 
 
-//telemetre
-
-void rotation()
-{
+//telemetre
+void rotation()
+{
     CanFrame comm;
-	comm.data.id= 'T';
-	comm.data.rtr= 0;           //indique une écriture
-	comm.data.val= 120;
+        comm.data.id= 'T';
+        comm.data.rtr= 0;           //indique une ?criture
+        comm.data.val= 120;
 }
-
-
 //envoie la voiture 
-
-void essai() 
+void essai() 
 {
-	while(1){
-		comm.data.id= 'V';
-		comm.data.rtr= 0;           //indique une écriture
-		comm.data.val= 25;
-		snd_dtq(CanTx, comm.msg);
-		dly_tsk(10);
-	}
+        while(1){
+                comm.data.id= 'V';
+                comm.data.rtr= 0;           //indique une ?criture
+                comm.data.val= 25;
+                snd_dtq(CanTx, comm.msg);
+                dly_tsk(20);
+        }
 }
 
 
-
 // asservissement tourelle
-
 void asservis()
 {
-	CanFrame requete ;
-	CanFrame reponse;
-	CanFrame commande;
-
-	while(1){
-		requete.data.id='R';
-		requete.data.rtr=1;                   //Indique une requête de lecture
-		snd_dtq(CanTx, requete.msg);
-		dly_tsk(10);
-		angle=periph[ADDR('R')].val;
-		comm.data.id= 'T';
-	    comm.data.rtr= 0;
-		valeur=k*(consigne-angle);
-		comm.data.val=valeur;
-		snd_dtq(CanTx, comm.msg);
-		dly_tsk(10);
-	}		
+        CanFrame requete ;
+        CanFrame reponse;
+        CanFrame comm;
+        while(1){
+                requete.data.id='R';
+                requete.data.rtr=1;                   //Indique une requ?te de lecture
+                snd_dtq(CanTx, requete.msg);
+                
+                angle=periph[ADDR('R')].val;
+				dly_tsk(5);
+                comm.data.id= 'T';
+                comm.data.rtr= 0;
+                valeur=k*(consigne-angle);
+                comm.data.val=valeur;
+                snd_dtq(CanTx, comm.msg);
+                dly_tsk(10);
+        }                
 }
 
-
 // asservissement direction des roues
-
 void direction()
 {
-        CanFrame requete ;
-        CanFrame reponse;
-        CanFrame commande;
-		CanFrame commande1;
+        CanFrame requete;
+        CanFrame comm;
         
         while(1){
-			
-			if(pos<2000)
-			{
+			 while(mur<=pos){
+			 
+                requete.data.id='D';
+                requete.data.rtr=1;                   //Indique une requ?te de lecture
+                snd_dtq(CanTx, requete.msg);               			
+			    comm.data.id= 'D';
+                comm.data.rtr= 0;
+				take=k*(mur-pos);
+				comm.data.val=-take;
+                snd_dtq(CanTx, comm.msg);
+					dly_tsk(5);
+				}
+                dly_tsk(10);
+				
+                
+				
+        }                
+}
+
+
+void distance() 
+{
+      
+		CanFrame requete ;
+        
+        while(1){
                 requete.data.id='U';
                 requete.data.rtr=1;                   //Indique une requ?te de lecture
                 snd_dtq(CanTx, requete.msg);
-                angle=periph[ADDR('U')].val;
-                commande.data.id= 'D';
-                commande.data.rtr= 0;
-                valeur=k*(consigne-angle);
-                commande.data.val=-valeur;
-                snd_dtq(CanTx, commande.msg);
-                dly_tsk(5);
+                  dly_tsk(5);
+                pos=periph[ADDR('U')].val;
 				
-				
-				
-			
-				
-				
-				
-			}
-			
-				
+   	
         }                
 }
+                
 
 
 
-// distance 
 
-void distance() 
+
+
+
+
+
+
+
+
+void acqui()
 {
-	CanFrame demande;
-	CanFrame reponse;
-	CanFrame commande1;
+  LED_V=!LED_V;	
+}
+
+//affichage de la valeur de la distance sur lcd
+void affichage()
+{
 	while(1){
-		demande.data.id='U'; 
-		demande.data.rtr=1;
-		snd_dtq (CanTx,demande.msg);      // Interrogation du peripherique
-		dly_tsk(5);
-		pos=periph[ADDR('U')].val;        //lecture de la valeur
-		dly_tsk(10);
-			
-		    
-	}  
-					
-}
+	int valeur1;
+    char str[20];
+    sprintf(str,"%d",valeur1);
+    lcd_str(str);
+	}
+}
 
 
 
+
+
 void main()
 {
 	
@@ -254,17 +263,18 @@
 	ports_mcu();
     lcd_init();
 	periph_init();
-	periph_nom("#AutoTest*");
+	periph_nom("#LEBANITOU*");
     can_init();
     clavier_init(1);
 	capture_init();
+	sta_tsk(ID_periph_rx);
 	sta_tsk(ID_asservis);
-	sta_tsk(ID_periph_rx);
-	//sta_tsk(ID_rotation);
 	sta_tsk(ID_direction);
-	//sta_tsk(ID_assroue);
 	dly_tsk(2000);
 	sta_tsk(ID_essai);
+	//sta_tsk(ID_distance);
+	//sta_cyc(ID_acqui);
+	sta_tsk(ID_affichage);
 	
     while(1){
 		
Index: branch/lebanitou/Emb_App/conf_noyau.cfg
===================================================================
--- branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 422)
+++ branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 423)
@@ -99,15 +99,15 @@
 
 
 
- //cyclic_hand[]{
-//	entry_address	= acqui();
-//	name	= ID_acqui;
-  //  exinf	= 0x0;
-//	start	= OFF;
-//	phsatr	= OFF;
-//	interval_counter	= 0x64;
-//	phs_counter	= 0x0;
-//};
+ cyclic_hand[]{
+	entry_address	= acqui();
+	name	= ID_acqui;
+   exinf	= 0x0;
+	start	= OFF;
+	phsatr	= OFF;
+	interval_counter	= 0x64;
+	phs_counter	= 0x0;
+};
 
 
 vdataqueue[]{
@@ -176,7 +176,7 @@
 
 task[]{
 	entry_address	= direction();
-	name	= ID_direction;
+  name	= ID_direction;
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 8;
@@ -184,9 +184,29 @@
 	exinf	= 0x0;
 };
 
+//task[]{
+//	entry_address	= distance();
+//	name	= ID_distance;
+//	stack_size	= 512;
+//	stack_section	= stack;
+//	priority	= 8;
+//	initial_start	= OFF;
+//	exinf	= 0x0;
+//};
+
+//task[]{
+//	entry_address	= detection();
+//	name	= ID_detection;
+//	stack_size	= 512;
+//	stack_section	= stack;
+//	priority	= 8;
+//	initial_start	= OFF;
+//	exinf	= 0x0;
+//};
+
 task[]{
-	entry_address	= distance();
-	name	= ID_distance;
+	entry_address	= affichage();
+	name	= ID_affichage;
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 8;
@@ -201,8 +221,6 @@
 
 
 
-
-
 //
 // End of Configuration
 //